This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 516273 - on upgrade collectd is not restarted
on upgrade collectd is not restarted
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-07 14:03 EDT by Florian La Roche
Modified: 2009-09-15 03:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.5.4-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 03:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2009-08-07 14:03:41 EDT
Description of problem:

If you upgrade collectd to a newer rpm, the daemon is not automatically
restarted.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alan Pevec 2009-08-10 19:06:17 EDT
There is
%postun
/sbin/service collectd condrestart &>/dev/null || :

which is probably silently failing for you.
Could you try rebuilding RPM without this error redirection and capture the error message?
Comment 2 Alan Pevec 2009-08-10 19:45:43 EDT
/etc/init.d/collectd: line 57: restart: command not found
Comment 3 Fedora Update System 2009-08-11 19:04:56 EDT
collectd-4.5.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/collectd-4.5.4-2.fc11
Comment 4 Fedora Update System 2009-08-12 16:52:31 EDT
collectd-4.5.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update collectd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8503
Comment 5 Fedora Update System 2009-09-15 03:48:01 EDT
collectd-4.5.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.